---
title: ServiceWorkerRegistration.periodicSync
slug: Web/API/ServiceWorkerRegistration/periodicSync
tags:
  - API
  - Experimental
  - PeriodicSyncManager
  - Property
  - Reference
  - Service Workers
  - ServiceWorkerRegistration
  - periodicSync
---
<div>{{draft}}{{DefaultAPISidebar("Service Worker API")}}</div>

<p class="summary">The <strong><code>periodicSync</code></strong> read-only property of the {{domxref("ServiceWorkerRegistration")}} interface returns a reference to the {{domxref('PeriodicSyncManager')}} interface, which allows for registering of tasks to run at specific intervals.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>PeriodicSyncManagerObject</var> = ServiceWorkerRegistration.periodicSync;</pre>

<h3 id="Value">Value</h3>

<p>A PeriodicSyncManager {{jsxref('Object')}}.</p>

<h2 id="Examples">Examples</h2>

<p>You can access the property from either your main script or the registered service worker.</p>

<p>Here is an example from the main script:</p>

<pre class="brush: js notranslate">// reference registration
const registration = await navigator.serviceWorker.ready;

// feature detection
if ('periodicSync' in registration) {

  // Background Periodic Sync functionality
  const periodicSync = registration.periodicSync;

}
</pre>

<p>From the {{domxref('Service Worker API','service worker')}}:</p>

<pre class="brush: js notranslate">// service worker script

const periodicSync = self.registration.periodicSync;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Periodic Background Sync','#extensions-to-serviceworkerregistration','periodicSync')}}</td>
   <td>{{Spec2('Periodic Background Sync')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerRegistration.periodicSync")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://web.dev/periodic-background-sync/">Richer offline experiences with the Periodic Background Sync API</a></li>
 <li><a href="https://webplatformapis.com/periodic_sync/periodicSync_improved.html">A Periodic Background Sync demo app</a></li>
</ul>
